# RenderBin.cpp File Reference

`#include <osgUtil/RenderBin>`
`#include <osgUtil/RenderStage>`
`#include <osgUtil/Statistics>`
`#include <osg/ImpostorSprite>`
`#include <osg/Notify>`
`#include <algorithm>`

Include dependency graph for RenderBin.cpp:

## Functions

RenderBinPrototypeList * | renderBinPrototypeList ()

## Variables

RegisterRenderBinProxy | s_registerRenderBinProxy ("RenderBin", new RenderBin(RenderBin::SORT_BY_STATE))
RegisterRenderBinProxy | s_registerDepthSortedBinProxy ("DepthSortedBin", new RenderBin(RenderBin::SORT_BACK_TO_FRONT))

## Function Documentation

RenderBinPrototypeList* renderBinPrototypeList | ( |  | ) |

## Variable Documentation

RegisterRenderBinProxy s_registerDepthSortedBinProxy("DepthSortedBin", new RenderBin(RenderBin::SORT_BACK_TO_FRONT))

RegisterRenderBinProxy s_registerRenderBinProxy("RenderBin", new RenderBin(RenderBin::SORT_BY_STATE))